From: Sergio Durigan Junior <sergiodj@sergiodj.net>
Date: Sat, 2 Jul 2016 07:56:27 -0400
Subject: Do not use -m32/-m64 when building.

---
 makefile_bsd                       |  8 ++++----
 makefile_bsdLP64                   |  8 ++++----
 makefile_bsdLP64_utf8              |  8 ++++----
 makefile_bsdLP64_utf8_ffi          |  8 ++++----
 makefile_bsdLP64_utf8_lib          |  4 ++--
 makefile_bsd_lib                   |  4 ++--
 makefile_bsd_utf8                  |  8 ++++----
 makefile_bsd_utf8_ffi              |  8 ++++----
 makefile_bsd_utf8_lib              |  4 ++--
 makefile_linux                     | 10 +++++-----
 makefile_linuxLP64                 | 10 +++++-----
 makefile_linuxLP64_ffi             | 10 +++++-----
 makefile_linuxLP64_lib             |  4 ++--
 makefile_linuxLP64_redhat_utf8_ffi |  4 ++--
 makefile_linuxLP64_utf8            | 10 +++++-----
 makefile_linuxLP64_utf8_ffi        | 10 +++++-----
 makefile_linux_ffi                 | 10 +++++-----
 makefile_linux_lib                 |  4 ++--
 makefile_linux_lib_utf8            |  4 ++--
 makefile_linux_redhat_utf8_ffi     |  4 ++--
 makefile_linux_utf8                | 10 +++++-----
 makefile_linux_utf8_ffi            | 10 +++++-----
 22 files changed, 80 insertions(+), 80 deletions(-)

diff --git a/makefile_bsd b/makefile_bsd
index e1533ac..05f4a9c 100644
--- a/makefile_bsd
+++ b/makefile_bsd
@@ -6,16 +6,16 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 # the option -fno-strict-aliasing may not be available on some BSD versions 
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -D_BSD $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -D_BSD $(CFLAGS)
 # or without readline lib
-#CFLAGS = -m32 -Wall -Wno-uninitialized -Wno-strict-aliasing -O2 -c -g -D_BSD
+#CFLAGS = -Wall -Wno-uninitialized -Wno-strict-aliasing -O2 -c -g -D_BSD
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -lreadline -lncurses -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64 b/makefile_bsdLP64
index b5454bc..98879f9 100644
--- a/makefile_bsdLP64
+++ b/makefile_bsdLP64
@@ -6,16 +6,16 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 # the option -fno-strict-aliasing may not be available on some BSD versions 
 
-DEFAULT_CFLAGS = -m64 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -DNEWLISP64 -D_BSD $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -DNEWLISP64 -D_BSD $(CFLAGS)
 # or without readline lib
-#CFLAGS = -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
+#CFLAGS = -Wall -Wno-uninitialized -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -lreadline -lncurses -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8 b/makefile_bsdLP64_utf8
index 20ff2e1..21e79b2 100644
--- a/makefile_bsdLP64_utf8
+++ b/makefile_bsdLP64_utf8
@@ -6,16 +6,16 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 
 # the option -fno-strict-aliasing may not be available on some BSD versions 
 
-DEFAULT_CFLAGS = -m64 -Wall -Wno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -DNEWLISP64 -DSUPPORT_UTF8 -D_BSD $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -DNEWLISP64 -DSUPPORT_UTF8 -D_BSD $(CFLAGS)
 # or without readline lib
-#CFLAGS = -m64 -Wall -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
+#CFLAGS = -Wall -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -lreadline -lncurses -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8_ffi b/makefile_bsdLP64_utf8_ffi
index 989c944..c4c4f84 100644
--- a/makefile_bsdLP64_utf8_ffi
+++ b/makefile_bsdLP64_utf8_ffi
@@ -5,17 +5,17 @@ OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-fil
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
 # the option -fno-strict-aliasing may not be available on some BSD versions 
-DEFAULT_CFLAGS = -m64 -Wall -fno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -DNEWLISP64 -DSUPPORT_UTF8 -D_BSD -DFFI $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -fno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -DNEWLISP64 -DSUPPORT_UTF8 -D_BSD -DFFI $(CFLAGS)
 
 # or without readline lib and libffi
-#CFLAGS = -m64 -Wall -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
+#CFLAGS = -Wall -Wno-strict-aliasing -O2 -c -g -DNEWLISP64 -D_BSD
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsdLP64_utf8_lib b/makefile_bsdLP64_utf8_lib
index e318c14..892300f 100644
--- a/makefile_bsdLP64_utf8_lib
+++ b/makefile_bsdLP64_utf8_lib
@@ -3,12 +3,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -m64 -fPIC -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DNEWLISP64 -DSUPPORT_UTF8 -DLIBRARY $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DNEWLISP64 -DSUPPORT_UTF8 -DLIBRARY $(CFLAGS)
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -lm -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -lm -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_lib b/makefile_bsd_lib
index 8e67ae2..8cb4307 100644
--- a/makefile_bsd_lib
+++ b/makefile_bsd_lib
@@ -3,12 +3,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD $(CFLAGS)
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -lm -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8 b/makefile_bsd_utf8
index 7d78e31..ac17d93 100644
--- a/makefile_bsd_utf8
+++ b/makefile_bsd_utf8
@@ -4,16 +4,16 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -D_BSD -DSUPPORT_UTF8 $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -DREADLINE -D_BSD -DSUPPORT_UTF8 $(CFLAGS)
 # or without readline lib
-#CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8
+#CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -lreadline -lncurses -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8_ffi b/makefile_bsd_utf8_ffi
index 223d4b2..a0fdacc 100644
--- a/makefile_bsd_utf8_ffi
+++ b/makefile_bsd_utf8_ffi
@@ -5,16 +5,16 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -D_BSD -DSUPPORT_UTF8 -DFFI $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -I/usr/local/include -DREADLINE -D_BSD -DSUPPORT_UTF8 -DFFI $(CFLAGS)
 # or without readline lib
-#CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8
+#CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -lreadline -lncurses -L/usr/local/lib -lffi -o newlisp
 # or without readline lib
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -o newlisp
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -o newlisp
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_bsd_utf8_lib b/makefile_bsd_utf8_lib
index b4ba8b5..e6cd92a 100644
--- a/makefile_bsd_utf8_lib
+++ b/makefile_bsd_utf8_lib
@@ -3,12 +3,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8 -DLIBRARY $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -fno-strict-aliasing -O2 -c -g -D_BSD -DSUPPORT_UTF8 -DLIBRARY $(CFLAGS)
 
 CC = cc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -lm -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux b/makefile_linux
index 0f560ef..4998dc2 100644
--- a/makefile_linux
+++ b/makefile_linux
@@ -6,16 +6,16 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o
 
-#CFLAGS = -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DLINUX
-DEFAULT_CFLAGS = -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DLINUX  $(CFLAGS)
+#CFLAGS = -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DLINUX
+DEFAULT_CFLAGS = -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DLINUX  $(CFLAGS)
 
 CC = gcc
 
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64 b/makefile_linuxLP64
index bb8b096..c51123f 100644
--- a/makefile_linuxLP64
+++ b/makefile_linuxLP64
@@ -6,15 +6,15 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DNEWLISP64 -DLINUX $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DNEWLISP64 -DLINUX $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_ffi b/makefile_linuxLP64_ffi
index 0e821a3..f0d0603 100644
--- a/makefile_linuxLP64_ffi
+++ b/makefile_linuxLP64_ffi
@@ -6,15 +6,15 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DNEWLISP64 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DNEWLISP64 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_lib b/makefile_linuxLP64_lib
index d6c9bbc..468da3b 100644
--- a/makefile_linuxLP64_lib
+++ b/makefile_linuxLP64_lib
@@ -6,12 +6,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DLINUX -DNEWLISP64 -DLIBRARY $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DLINUX -DNEWLISP64 -DLIBRARY $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_redhat_utf8_ffi b/makefile_linuxLP64_redhat_utf8_ffi
index 7bfe4f3..2a30e2b 100644
--- a/makefile_linuxLP64_redhat_utf8_ffi
+++ b/makefile_linuxLP64_redhat_utf8_ffi
@@ -6,12 +6,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX -DFFI -ILIBFFI_VERSION $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX -DFFI -ILIBFFI_VERSION $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_utf8 b/makefile_linuxLP64_utf8
index a123f7b..c8c1148 100644
--- a/makefile_linuxLP64_utf8
+++ b/makefile_linuxLP64_utf8
@@ -6,15 +6,15 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linuxLP64_utf8_ffi b/makefile_linuxLP64_utf8_ffi
index 3d0a204..008f2d5 100644
--- a/makefile_linuxLP64_utf8_ffi
+++ b/makefile_linuxLP64_utf8_ffi
@@ -6,7 +6,7 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DNEWLISP64 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
 
 # replace -O2 with -Oz when using clang/llvm
 #CC = clang 
@@ -14,10 +14,10 @@ DEFAULT_CFLAGS = -fPIC -m64 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-l
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m64 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_ffi b/makefile_linux_ffi
index f663343..469dbd5 100644
--- a/makefile_linux_ffi
+++ b/makefile_linux_ffi
@@ -6,16 +6,16 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include  $(CFLAGS)
 
 CC = gcc
 
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_lib b/makefile_linux_lib
index c2619a9..91984ab 100644
--- a/makefile_linux_lib
+++ b/makefile_linux_lib
@@ -6,12 +6,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -DLINUX -DLIBRARY $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -DLINUX -DLIBRARY $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -lm -ldl -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_lib_utf8 b/makefile_linux_lib_utf8
index 17e5a41..fe3d528 100644
--- a/makefile_linux_lib_utf8
+++ b/makefile_linux_lib_utf8
@@ -6,12 +6,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o unix-lib.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -DLIBRARY -DSUPPORT_UTF8 -DLINUX $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-uninitialized -Wno-strict-aliasing -Wno-long-long -c -O2 -DLIBRARY -DSUPPORT_UTF8 -DLINUX $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -lm -ldl -shared -o newlisp.so
+	$(CC) $(LDFLAGS) $(OBJS) -lm -ldl -shared -o newlisp.so
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_redhat_utf8_ffi b/makefile_linux_redhat_utf8_ffi
index 148f1b4..50dd709 100644
--- a/makefile_linux_redhat_utf8_ffi
+++ b/makefile_linux_redhat_utf8_ffi
@@ -6,12 +6,12 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX -DFFI -ILIBFFI_VERSION $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX -DFFI -ILIBFFI_VERSION $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS 
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for RedHat CentOS 
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_utf8 b/makefile_linux_utf8
index 1ceb4fe..0ad0b93 100644
--- a/makefile_linux_utf8
+++ b/makefile_linux_utf8
@@ -6,15 +6,15 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX $(CFLAGS)
+DEFAULT_CFLAGS = -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
diff --git a/makefile_linux_utf8_ffi b/makefile_linux_utf8_ffi
index 1c9d64e..65cb9b7 100644
--- a/makefile_linux_utf8_ffi
+++ b/makefile_linux_utf8_ffi
@@ -6,15 +6,15 @@
 OBJS = newlisp.o nl-symbol.o nl-math.o nl-list.o nl-liststr.o nl-string.o nl-filesys.o \
 	nl-sock.o nl-import.o nl-xml-json.o nl-web.o nl-matrix.o nl-debug.o nl-utf8.o pcre.o
 
-DEFAULT_CFLAGS = -fPIC -m32 -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include $(CFLAGS)
+DEFAULT_CFLAGS = -fPIC -Wall -Wno-strict-aliasing -Wno-long-long -c -O2 -g -DREADLINE -DSUPPORT_UTF8 -DLINUX -DFFI -I/usr/local/lib/libffi-3.0.13/include $(CFLAGS)
 
 CC = gcc
 
 default: $(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
-#	$(CC) $(LDFLAGS) $(OBJS) -m32 -g -lm -ldl -o newlisp # without readline support
+	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lffi -o newlisp # for UBUNTU Debian
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -ltermcap -o newlisp # slackware
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -lreadline -lncurses -o newlisp # other Linux Dist
+#	$(CC) $(LDFLAGS) $(OBJS) -g -lm -ldl -o newlisp # without readline support
 
 .c.o:
 	$(CC) $(CPPFLAGS) $(DEFAULT_CFLAGS) $<
